#include <iostream>

using namespace std;

bool b[200000];

main ()

{
    int n,k;

    cin >> n; cin >>k;

    int a[200000];

    for (int i=0; i<n; i++)
        cin >> a[i];


    for (int i=0; i<n; i++)
    {
        if (k==0) break;

        if (a[i]==1) { b[i]=true; k--;}

        if (k==0) break;
    }


    if (k!=0)
    for (int i=0; i<n; i++)
    {
        if (k==0) break;

        if (a[i]==0) { b[i]=true; k--;}

        if (k==0) break;
    }
        for (int i=0; i<n; i++)
            if (b[i]==false) cout << a[i] << " ";
}